<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package prakashan
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#main"><?php esc_html_e( 'Skip to content', 'prakashan' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
	
		<div class="wrapper">

			<?php if ( ! has_custom_logo() && (display_header_text()==true) ): ?>

			<div class="site-branding">
	
					<?php if ( is_front_page() && is_home() ) : ?>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					<?php else : ?>
						<h2 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h2>
					<?php endif;
		
					$undedicated_description = get_bloginfo( 'description', 'display' );
					if ( $undedicated_description || is_customize_preview() ) : ?>
						<p class="site-description"><?php echo esc_html($undedicated_description); /* WPCS: xss ok. */ ?></p>
					<?php endif; ?>
			
			</div><!-- .site-branding -->

			<?php elseif( has_custom_logo() ): ?>

			<div class="site-branding">
	
				<?php the_custom_logo(); ?>
	
			</div><!-- .site-branding -->

			<?php endif; ?><!-- end custom logo -->

		</div>

		<?php if ( get_header_image() != '' ):	?>
		<div class="site-header-image">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
			<img src="<?php echo( esc_url(get_header_image()) ); ?>" alt="<?php echo( esc_attr(get_bloginfo( 'title' )) ); ?>" />
			</a>
		</div>
		<?php endif; ?>

	
		<?php if ( has_nav_menu( 'primary' ) ) : ?>

		<div class="site-navigation">

			<div class="wrapper">

			<a class="menu-toggle primary-toggle" aria-controls="primary-menu" aria-expanded="false"></a>
			<nav class="main-navigation" role="navigation">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu', 'menu_class' => 'nav-menu', 'fallback_cb' => FALSE, ) ); ?>
			</nav><!-- #site-navigation -->


			</div>	
	
		</div>
		
		<?php endif; ?>
		
	</header><!-- #masthead -->

	<div id="content" class="site-content">
	<div class="wrapper">
